import recordSource from '../../utils/recordSource';
const config = require('../../config.js')
const getReq = config.getReq
const buyVGoods = config.buyVGoods

let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    currentIndex: 0,  //页签索引
    rechargeGearActiveIndex: 0, //挡位项目索引
    tips:'',  //顶部tips
    goods:[], //挡位数据
    goods_id:'', //当前选中挡位的goods_id
    card_type: '', //油卡类型 （中石化/中石油）
    card_no: '', //油卡号
    firstLoad: true,
    fromSource: ''
  },

  // 页签切换
  handlerClickTabItem(e) {
    var dataset = e.currentTarget.dataset
    this.setData({
      currentIndex: dataset.activeindex,
      card_no: dataset.cardno
    });
  },

  //充值档位切换
  handlerClickRechargeGear(e) {
    var dataset = e.currentTarget.dataset
    this.setData({
      rechargeGearActiveIndex: dataset.activeindex,
      goods_id: dataset.currentvalue
    });
  },

  //跳转到油卡管理页面
  handlerAddCard(e){
    wx.navigateTo({
      url: '/pages/postageManage/postageManage?card_type=phone',
    })
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let fromSource = recordSource(app, `act=index&op=card_goods`)
    this.setData({
      fromSource: app.globalData.fromSource,
    });
    var self = this;
    getReq({
      act: 'index',
      op: 'card_goods',
      page_type: 'oil',
      from: fromSource
    }, function (res) {
      self.setData({
        firstLoad: false
      });
      if (res.code == 200) {
        if(res.datas && res.datas.goods){
          var datas = res.datas
          self.setData({
            tips: datas.tips,
            goods: datas.goods,
            goods_id: datas.goods[0].goods_id
          });
        }
      }else {
        wx.showToast({
          icon: 'none',
          title: res.message,
          duration: 2000
        })
      }
    })
  },

  // 立即充值
  handlerRecharge(){
    // wx.showToast({
    //   icon: 'none',
    //   title: `goods_id: ${this.data.goods_id}, card_no: ${this.data.card_no}`,
    //   duration: 2000
    // })
    const { goods_id, card_no } = this.data
    if(!card_no){
      app.showToast('卡号不能为空')
      return
    }
    buyVGoods(goods_id,1,{ card_no }, (res) => {
      // console.log('res',res)  成功回调
    }, (err) => {
      // 失败回调
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(!this.data.firstLoad) {
      const record = app.globalData.record || {}
      console.log('record',record)
      const { card_no = '' } = record
      app.setFromSource(this.data.fromSource)
      if (record) {
        this.setData({ card_no })
      }
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})